Subject: [Sigtran] I-D ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt

From: [email-masked]
Date: Tue, 23 Jul 2002 08:06:46 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Signaling Transport Working Group of the IETF.

	Title		: IUA (RFC 3057) Outstanding Issues
	Author(s)	: K. Morneault
	Filename	: draft-ietf-sigtran-iua-imp-guide-01.txt
	Pages		: 
	Date		: 22-Jul-02
	
This document captures problems and issues discovered on the SIGTRAN
mailing list and at future bakeoffs for IUA [RFC3057].  This document 
will be updated after each bakeoff augmenting the existing draft to 
include any new issues discovered during inter-operability testing. 
Two basic sets of problems are identified by this draft: first, issues
that need to be addressed when the next revision of IUA is created,
i.e.  issues that should be remembered in a BIS document; second,
issues that were found that are strictly implementation problems.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sigtran-iua-imp-guide-01.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sigtran-iua-imp-guide-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sigtran-iua-imp-guide-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: [email-masked]
Date: Thu, 25 Jul 2002 17:51:56 +0300

Tolga,
I agree with your remark. The way #3 corresponds to this.
The Note or complete diagrams should be provided to M2UA paper.

Thanks,
Lev

                      "Tolga Asveren"                                                                      
                      <tolga.asveren@s         To:      <[email-masked]>                                 
                      s8.com>                  cc:                                                         
                      Sent by:                 Subject: RE: [Sigtran] I-D                                  
                      sigtran-admin@ie         ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt              
                      tf.org                                                                               

                      25/07/02 16:01                                                                       

Lev,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Thursday, July 25, 2002 1:49 AM
> To: Ken Morneault
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Sigtran] I-D
> ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt
>
>
>
> Ken,
>
> the diagrams in other UA drafts also do not follow the "must" requirement
> to notify: NTFY(AS-INACTIVE) never shown on them.
> What diagram you consider as a right one? Is it the last at the bottom of
> this mail or like in other UA drafts?
[TOLGA] I didn't check for other UA yet but for example for M3UA deaft
there
is a sentence at the beginning of 5.
"NOTE: Not all the Notify messages that are appropriate per the Notify
procedures are shown in these examples."
>
> I think the best solution (# 1) (specially for LDSHR mode) would
> be to send
> NTFY(AS-INACTIVE) or NTFY(AS-ACTIVE) after ASP-UP from non-first ASP too,
> even it doesn't  reflect AS state change. Based on such NTFY the ASP can
> continue with AS-ACTIVE for example.
[TOLGA] But NTFY has only advisory meaning, so IMO opinion there is no need
to make sending NTFY in the case you described mandatory, although one is
free to send NTFY in such a case. I think ASP shouldn't rely on NTFY to
decide whether or not to send ASPAC, but by coordinating this with the
other
ASP in an implementation dependent way.
> Another less ultimate way (# 2) is to define the sending of
> NTFY(AS-INACTIVE) as optional and other NTFY as mandatory in all UA.
> And the simplest way (# 3) is just to follow the flow of the
> diagram at the
> mail bottom. It in most cases does the NTFY(AS-INACTIVE) meaningless for
> ASP.
>
> Practically, we work today in way #3 in active-standby mode
> without visible
> problems.
>
> Regards,
> Lev.
>
>
>
>
>
>
>                       Ken Morneault
>
>                       <kmorneau@cisco.         To:
> <[email-masked]>
>                       com>                     cc:
> [email-masked],
>
> [email-masked],
>                       24/07/02 17:03
> [email-masked]
>                                                Subject: Re:
> [Sigtran] I-D
>
> ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt
>
>
>
>
>
>
>
> Lev,
>
> Thanks for pointing this contradiction out.  I think it will be best to
> get the text the same (for consistency with other UAs) and to change
> the diagram.
>
> Regards,
>
> Ken
>
> At 10:01 AM 7/24/2002 +0300, [email-masked] wrote:
>
> >Hi Ken,
> >
> >I see the contradiction in IUA IG-01:
> >
> >the 3.17 says:
> >"A Notify message reflecting a change in the AS state MUST be sent
> >to all ASPs in the AS, except those in the ASP-DOWN state, with
> >appropriate Status Information and any ASP Identifier of the
> >failed ASP."
> >
> >from other side the "new" figures in 3.23 show the NTFY(AS-INACTIVE)
> >message sent also to an ASP before it declares itself as UP (see changes
> to
> >Sections 5.1.2, 5.1.3, 5.1.4).
> >
> >I think this NTFY may be sent after corresponding ASP UP  +
> small addition
> >to 3.17: "A Notify message reflecting a current AS state MAY be sent to
> ASP
> >that transits from ASP-DOWN to ASP-INACTIVE state" :
> >
> >          SG                        ASP1                       ASP2
> >           |                         |                          |
> >           |<--------ASP Up----------|                          |
> >           |-------ASP Up Ack------->|                          |
> >           |                         |                          |
> >           |----NTFY(AS-INACTIVE)--->|                          |
> >           |                         |                          |
> >           |<-----------------------------ASP Up----------------|
> >           |----------------------------ASP Up Ack------------->|
> >           |---------------------NTFY(AS-INACTIVE)------------->|
> >           |                         |                          |
> >           |                         |                          |
> >           |<-------ASP Active-------|                          |
> >           |-----ASP Active Ack----->|                          |
> >           |                         |                          |
> >           |-----NTFY(AS-ACTIVE)---->|                          |
> >           |----------------------NTFY(AS-ACTIVE)-------------->|
> >
> >or to be unsent at all:
> >
> >          SG                        ASP1                       ASP2
> >           |                         |                          |
> >           |<--------ASP Up----------|                          |
> >           |-------ASP Up Ack------->|                          |
> >           |                         |                          |
> >           |----NTFY(AS-INACTIVE)--->|                          |
> >           |                         |                          |
> >           |<-----------------------------ASP Up----------------|
> >           |----------------------------ASP Up Ack------------->|
> >           |                         |                          |
> >           |                         |                          |
> >           |<-------ASP Active-------|                          |
> >           |-----ASP Active Ack----->|                          |
> >           |                         |                          |
> >           |-----NTFY(AS-ACTIVE)---->|                          |
> >           |----------------------NTFY(AS-ACTIVE)-------------->|
> >
> >Regards,
> >Lev
>
>
>
>
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran